Kompira : Simple and lightweight automation platform for IT system operations
=============================================================================

What's this?
------------

Kompira は IT 運用管理業務の自動化を支援するための基盤システムです。ジョ
ブフローを記述することで、様々な運用業務、管理業務、さらには障害の復旧
処理まで自動化することができます。


Install
-------

Kompira をインストールするには root 権限で install.sh を実行してください。

※ Kompira のインストールには、インターネット接続環境が必要です。
   RedHat にインストールする場合は、事前にサブスクリプションを登録して
   おく必要があります。


proxy 環境下での Install
------------------------

以下のように --proxy オプションを付けて install.sh を実行してください。::

    ./install.sh --proxy proxy:3128

※ オプションに渡す "proxy" や "3128" の部分は導入環境のプロキシサーバ
   のホスト名（またはIPアドレス）やポート番号に合わせてください。

認証付きプロキシサーバの場合は、以下のように "user" にユーザー名を、
"password" にパスワードを指定して install.sh を実行してください。 ::

    ./install.sh --proxy user:password@proxy:3128


言語設定
--------

デフォルトではインストール先の Linux サーバのシステムの言語設定に合わ
せてインストールされます。(ただし、対応する言語は日本語と英語のみで、
エンコーディング指定は UTF-8 のみサポートしています)

システムの言語設定と異なる言語でインストールしたい場合は、--locale-lang
オプションを指定してインストールしてください。たとえば、英語モードでイ
ンストールする場合は、以下のように指定します。 ::

    ./install.sh --locale-lang en_US.UTF-8


動作要件
--------

* アーキテクチャ: x86_64
* オペレーティングシステム: Linux CentOS/RedHat 7.6以上/8.0以上
* Pythonバージョン: Python 3.6 以上
* ネットワークインタフェース: 1つ以上

ハードウェア要件
----------------

* CPU: 2GHz以上
* メモリ: 8GB以上
* HDD: 250GB以上

※ 必要なスペックはKompira上で動作するジョブフロー規模、自動化の処理要件によって異なります。都度ご相談ください。
※ 記載要件は最低レベルで記載しております。お客様の運用環境によっては異なる場合がございますのでご了承ください。
